Subject: Re: bug#8289: distcheck and make dvi

From: Jack Kelly <[email-masked]>
Date: Mon, 21 Mar 2011 05:02:27 +1100

On Sun, Mar 20, 2011 at 10:53 PM, Ralf Wildenhues
<[email-masked]> wrote:
>> Another possible change, in addition to messing with the documentation,
>> would be to make the "dvi" a variable that such non-dvi-generating
>> people can override with "pdf" if they wish.  Then they could get the
>> benefit of the check in a clean way without forcing .eps.  Or maybe
>> dvi: pdf
>> would have the same effect?  I'm not sure.
>
> Well, 'dvi: pdf' might help the distcheck to succeed, but generally, if
> I run 'make dvi' then what I'd like is DVI not PDF output.  The latter
> is not convertible into the former.  Enhancing distcheck to just not
> bother checking dvi output and rather test PDF output seems like another
> good alternative.

Not only does this feel like a hack, but I'd worry that it might
violate the GNU coding standards, to which automake-generated
makefiles are meant to comply?

-- Jack